Bug 809677 - [abrt] telepathy-butterfly-0.5.15-4.fc16: connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/patriot7_40live_2ecn at 0x969580c>
[abrt] telepathy-butterfly-0.5.15-4.fc16: connmgr.py:65:disconnected:KeyError...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: telepathy-butterfly (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
abrt_hash:4572c182701185e0bf5c14f8523...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-03 23:11 EDT by GAO Xiang
Modified: 2013-02-13 05:38 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 05:38:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description GAO Xiang 2012-04-03 23:11:22 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/libexec/telepathy-butterfly
executable:     /usr/libexec/telepathy-butterfly
kernel:         3.3.0-8.fc16.i686
reason:         connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/patriot7_40live_2ecn at 0x969580c>
time:           Wed 04 Apr 2012 08:28:17 AM CST
uid:            1000

backtrace:
:connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/patriot7_40live_2ecn at 0x969580c>
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 438, in disconnected
:    self._state = ClientState.CLOSED
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 330, in fset
:    self._dispatch("on_client_state_changed", state)
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 44, in _dispatch
:    if event_handler._dispatch_event(name, *args):
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 65, in _dispatch_event
:    handler(*params)
:  File "/usr/lib/python2.7/site-packages/butterfly/connection.py", line 393, in on_client_state_changed
:    self._disconnected()
:  File "/usr/lib/python2.7/site-packages/butterfly/connection.py", line 286, in _disconnected
:    self._manager.disconnected(self)
:  File "/usr/lib/python2.7/site-packages/butterfly/connection_manager.py", line 51, in disconnected
:    result = telepathy.server.ConnectionManager.disconnected(self, conn)
:  File "/usr/lib/python2.7/site-packages/telepathy/server/connmgr.py", line 65, in disconnected
:    self._connections.remove(conn)
:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/patriot7_40live_2ecn at 0x969580c>
:
:Local variables in innermost frame:
:self: <butterfly.connection_manager.ButterflyConnectionManager at /org/freedesktop/Telepathy/ConnectionManager/butterfly at 0x96953ac>
:conn: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/patriot7_40live_2ecn at 0x969580c>

smolt_data:
:
:
:General
:=================================
:UUID: f3670cb8-500c-436e-8f7a-bc1792c61e73
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: i686
:BogoMIPS: 3657.45
:CPU Vendor: GenuineIntel
:CPU Model: Genuine Intel(R) CPU           T2400  @ 1.83GHz
:CPU Stepping: 8
:CPU Family: 6
:CPU Model Num: 14
:Number of CPUs: 2
:CPU Speed: 1833
:System Memory: 3022
:System Swap: 5055
:Vendor: LENOVO
:System: 065877C ThinkPad R60e
:Form factor: Notebook
:Kernel: 3.3.0-8.fc16.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4172:44118:6058:8210) pci, yenta_cardbus, PCI/CARDBUS, ThinkPad T60/R60 series
:(32902:10169:6058:8201) pci, None, PCI/ISA, ThinkPad T60/R60 series
:(32902:10181:6058:8205) pci, ahci, STORAGE, ThinkPad T60/R60 series
:(32902:10146:6058:8218) pci, i915, VIDEO, ThinkPad T60/R60 series
:(32902:10150:6058:8218) pci, None, VIDEO, ThinkPad T60/R60 series
:(32902:10192:6058:8209) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10194:6058:8209) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 2
:(32902:10200:6058:8208) pci, snd_hda_intel, MULTIMEDIA, ThinkPad T60/R60 series
:(32902:10207:6058:8204) pci, ata_piix, STORAGE, ThinkPad T60/R60 series
:(32902:10196:6058:8209) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 3
:(32902:10202:6058:8207) pci, i801_smbus, SERIAL, ThinkPad T60/R60 series
:(32902:9288:6058:8211) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:16935:32902:4114) pci, iwl3945, NETWORK, PRO/Wireless 3945ABG [Golan] Network Connection
:(32902:10198:6058:8209) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 4
:(32902:10185:6058:8202) pci, uhci_hcd, USB, ThinkPad T60/R60 series
:(32902:10184:6058:8202) pci, uhci_hcd, USB, ThinkPad T60/R60 series
:(32902:10144:6058:8215) pci, agpgart-intel, HOST/PCI, ThinkPad T60/R60 series
:(32902:10186:6058:8202) pci, uhci_hcd, USB, ThinkPad T60/R60 series
:(32902:10187:6058:8202) pci, uhci_hcd, USB, ThinkPad T60/R60 series
:(32902:10188:6058:8203) pci, ehci_hcd, USB, ThinkPad T60/R60 series
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_nana-lv_root / ext4 4096 4096 13092026 10809990 10678958 3276800 3077520 3077520
:/dev/sda1 /boot ext4 1024 1024 508745 458145 432545 128016 127791 127791
:/dev/mapper/vg_nana-lv_home /home ext4 4096 4096 24497027 17626994 16400242 6135808 6120554 6120554
:
Comment 1 Fedora End Of Life 2013-01-16 06:22:16 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 05:38:36 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.